%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%GUILLERMO CARLOMAGNO
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function Y = D1_2_Lev (D1y, firstVal, useFirst)

T=size(D1y,1);
Y=nan(T,1);

Tfl = floor(T*0.85);
qNan = sum(isnan(D1y(1:Tfl,:)));

useFirstOK = max(useFirst, qNan);

Y(useFirstOK) = firstVal;
for t=useFirstOK+1:T
    Y(t) = Y(t-1)*(1+D1y(t));
end

end%function