%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%GUILLERMO CARLOMAGNO
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [AllTrimed, AllDropUp, AllDropLow, AllTrimedVar, All_adjVar, AllDropVar] =...
            call_Trimed(Y4Trim, ALP, ALP_var, SIZE_W_var, symtericTrim, W_implD1, useDiffTrim)

qAlp = length(ALP);
qAlp_var = length(ALP_var); 
        
AllTrimed = []; 
AllDropUp = cell(qAlp,1); 
AllDropLow = cell(qAlp,1); 
for j=1:qAlp
    ['Computing trimed. IterAlpa0 = ', num2str(j),  ' of ', num2str(qAlp)]
    alp_low = ALP(j); 
    if symtericTrim==1
        alp_up = alp_low;
        [yTrim_s, dropLow_s, dropUp_s, inflTrim_s] = trimedInfl_w(Y4Trim(1:end, :), 100, W_implD1(1:end, :), alp_low, alp_up, useDiffTrim);
        AllTrimed = [AllTrimed, yTrim_s];
        AllDropUp{j} = dropUp_s;
        AllDropLow{j} = dropLow_s;
    else
        for s=1:qAlp
            alp_up = ALP(s);
            [yTrim_s, dropLow_s, dropUp_s, inflTrim_s] = trimedInfl_w(Y4Trim(1:end, :), 100, W_implD1(1:end, :), alp_low, alp_up, useDiffTrim);
            AllTrimed = [AllTrimed, yTrim_s];
            AllDropUp{s} = dropUp_s;            
        end
        AllDropLow{j} = dropLow_s;
    end
end

%% VARIANCE
AllTrimedVar = [];
All_adjVar = [];
AllDropVar = cell(length(SIZE_W_var),1);
for w=1:length(SIZE_W_var)
    ['Computing trimed Var. IterAlpa0 = ', num2str(w),  ' of ', num2str(length(SIZE_W_var))]
    size_Wind_var = SIZE_W_var(w);
    [y_adjVar_w] = varWeight(Y4Trim, 100, W_implD1, size_Wind_var, useDiffTrim);
    All_adjVar = [All_adjVar, y_adjVar_w];
    for j=1:qAlp_var             
         alp_trim =  ALP_var(j);
         [yTrim_var_j,dropVar_j, inflTrimVar_j] = trimed_var_w(Y4Trim(1:end, :), 100, W_implD1(1:end, :), size_Wind_var, alp_trim, useDiffTrim);
          AllTrimedVar = [AllTrimedVar, yTrim_var_j];
         AllDropVar{w}{j} = dropVar_j;
    end
end







