%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%GUILLERMO CARLOMAGNO
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [meanIndic, maxIndic, minIndic] = computeMeanIndic(YallIndic, diff2Match)


T = size(YallIndic,1);
DY = crecPrc(YallIndic, diff2Match);
meanD1 = nanmean(DY,2);
maxD1 = nanmax(DY,[], 2);
minD1 = nanmin(DY, [], 2);


meanIndic = nan(T,1);
meanIndic(diff2Match) = 100;
maxIndic = meanIndic;
minIndic = meanIndic;
for t=diff2Match+1:T
    meanIndic(t) = meanIndic(t-1)*(1+meanD1(t));    
    maxIndic(t) = maxIndic(t-1)*(1+maxD1(t));
    minIndic(t) = minIndic(t-1)*(1+minD1(t));      
end



end%function

