%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%GUILLERMO CARLOMAGNO
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [F_hat_c, F_pc_c] = constructDFM(Y_sa, sers2DropDFM,  D1IPC_sa)


D1Yfin_sa_dfm = crecPrc(Y_sa, 1);
D1Yfin_sa_dfm(~isfinite(D1Yfin_sa_dfm)) = nan;

[useD1Y_dfm, use0DFM_d1] = prepareData4DFM(D1Yfin_sa_dfm, sers2DropDFM, []);

[F_hatD1,F_pcD1] = DynFA_orig(useD1Y_dfm(use0DFM_d1:end,:),1,1,3,500);

F_hatD1 = [nan(use0DFM_d1-1,1); F_hatD1]; F_pcD1 = [nan(use0DFM_d1-1,1); F_pcD1];

whichstats = {'yhat'};  
stats_hat1 = regstats(D1IPC_sa,F_hatD1,'linear',whichstats);
stats_pc1 = regstats(D1IPC_sa,F_pcD1,'linear',whichstats);

F_hatD1_c = stats_hat1.yhat;
F_pcD1_c = stats_pc1.yhat;


F_hat_c = D1_2_Lev (F_hatD1_c, 100, 1);
F_pc_c = D1_2_Lev (F_pcD1_c, 100, 1);


end %function
