%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GUILLERMO CARLOMAGNO
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [W_implD1, W_implD12, useYfin, D12Yfin, useY_saFullsmp, D1Yfin, D1Yfin_sa] = PrepareData_sp(PONDImplD1, PONDImplD12, Yfin, Y_sa)

%% Weights

W_implD1 = PONDImplD1; 
W_implD1(isnan(W_implD1))=0; 

% W_implD1_sae = W_implD1;
% W_implD1_sae(:, idxSAE==0)=0;
% W_implD1_sae = W_implD1_sae./repmat(sum(W_implD1_sae,2),1,N);

W_implD12 = PONDImplD12; 
W_implD12(isnan(PONDImplD1))=0; 
W_implD12(PONDImplD1==0)=0; 

%% Bases Orig y Transf
useYfin = Yfin;
useYfin(isnan(useYfin))=0;

D1Yfin = crecPrc(useYfin, 1);
D1Yfin = corrZerosNan(D1Yfin, W_implD1,1);

D12Yfin = crecPrc(useYfin, 12);
D12Yfin = corrZerosNan(D12Yfin, W_implD12,1);


%% Bases SA

useY_saFullsmp = Y_sa;

useY_saFullsmp(isnan(useY_saFullsmp))=0;
D1Yfin_sa = crecPrc(useY_saFullsmp, 1);

D1Yfin_sa = corrZerosNan(D1Yfin_sa, W_implD1,1);

end %function


