%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%GUILLERMO CARLOMAGNO
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [rho, sig_y, stat_bias] = callStats(D1core, idx0_samplOpt, idxF_samplOpt, useRoot, ff, varargin)

doSel=0;
critSel = 'BIC';
maxLag = 1;

if nargin >=6    
    doSel = varargin{1};
    if nargin>=7
        maxLag = varargin{2};
        if nargin ==8
           critSel = varargin{3};
        end
    end
end

[r_gamm0, r_gamm1, maxRoot, ~, ~, sig_y] = persist_withSel(D1core(idx0_samplOpt:idxF_samplOpt), maxLag, doSel, critSel, []);

sig_y = sig_y*ff;
stat_bias = bias_1(D1core(idx0_samplOpt:idxF_samplOpt))*ff;

if useRoot==1
    rho =  maxRoot*ff/100; 
else
    rho = (r_gamm1/r_gamm0)*ff/100;
end



end%function